For the complete documentation index, see llms.txt. This page is also available as Markdown.

Silent Account verification

Silent account verification is a secure and zero-friction authentication method that confirms user identity or bank details in the background, without requiring manual input like passwords or OTPs.

silent_account_verification

POST https://secctrl.tutelar.io/api/v2/kyc/banking/silent_account_verification

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

accountNo

String

Yes

Account Number

ifsc

String

Yes

IFSC Code

narration

String

Yes

Refers to a specific, pre-defined reference message.

mobileNumber

String

No

Mobile Number

remitterName

String

No

Name of the remitter

Sample Post Parameters

{
    "accountNo": "1234567891",
    "ifsc": "HDFC0000001",
    "narration": "CSC",
    "mobileNumber": "8879000123",
    "remitterName": "Johnson"
} 

Check Document Status

Get document details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v2/kyc/banking/silent_account_verification

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated